<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text" encoding="iso-8859-1"/>
  <xsl:template match="alf">########################################################################
#                       Target
########################################################################

PROGRAMS_spu    := spu_<xsl:value-of select="//PROJECT_NAME"/>
SHARED_LIBRARY_embed   := spu_<xsl:value-of select="//PROJECT_NAME"/>.so
SHARED_LIBRARY_embed64 := spu_<xsl:value-of select="//PROJECT_NAME"/>_64.so

########################################################################
#                       Local Defines
########################################################################

INCLUDE         := -I../ -I$(CELL_TOP)/export/common/usr/include

IMPORTS         := -lalf

LDFLAGS         := -L$(CELL_TOP)/export/cell/usr/spu/lib

########################################################################
#                       buildutils/make.footer
########################################################################
ifdef CELL_TOP
        include $(CELL_TOP)/buildutils/make.footer
else
        $(error no value set for CELL_TOP)
endif
</xsl:template>
</xsl:stylesheet>
