<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text" encoding="iso-8859-1"/>
  <xsl:template match="alf">########################################################################
#                       Subdirectories
########################################################################

DIRS            :=

########################################################################
#                       Target
########################################################################
PROGRAM_ppu     = <xsl:value-of select="//PROJECT_NAME"/>
#                       Define for 64bit Target
#PROGRAM_ppu64   = <xsl:value-of select="//PROJECT_NAME"/>_64

########################################################################
#                       Local Defines
########################################################################

INCLUDE        := -I../ -I$(CELL_TOP)/export/common/usr/include
IMPORTS        := -lspe2 -lsync -lalf -ldl -lpthread

LDFLAGS        := -L$(CELL_TOP)/export/cell/usr/lib
#                       Import Libraries for 64bit target
#LDFLAGS        := -L$(CELL_TOP)/export/cell/usr/lib64

########################################################################
#                       buildutils/make.footer
########################################################################
ifdef CELL_TOP
        include $(CELL_TOP)/buildutils/make.footer
else
        $(error no value set for CELL_TOP)
endif
</xsl:template>
</xsl:stylesheet>
